<template>
    <v-flex md2>
        <v-img
                v-on:mouseover="hover = true"
                v-on:mouseleave="hover = false"
                :src="picture_path"
                height="300px"
                width="200px"
        >
            <div transition="scale-transition"
                 origin="center center"
            >
                <div
                        v-if="hover"
                        class="transition-fast-in-fast-out"
                        style="background-color: rgba(255, 255, 255, 0.5); height: 300px;"
                >
                    <v-btn fab color="#ff3d00"
                           style="margin-top: 60%"
                           @click="remove"
                    >
                        <v-icon>close</v-icon>
                    </v-btn>
                </div>
            </div>
        </v-img>
    </v-flex>
</template>

<script>
    export default {
        name: "importedFile",
        props: ['picture_path'],
        data() {
            return {
                hover: false
            }
        },
        methods: {
            remove () {
                this.$emit('remove')
            }
        }
    }
</script>

<style scoped>

</style>
